Subject: Re: bug#45916: 28.0.50; Inconsistent EasyPG behaviour when encrypting .gpg files

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 May 2022 16:23:49 +0200

Pankaj Jangid <[email-masked]> writes:

>> 1. emacs -Q
>> 2. eval ‘(defvar epg-pinentry-mode 'loopback)’
>> 3. C-c C-f ~/x.gpg RET
>> 4. Write some text
>> 5. C-x C-s ; this prompts for selecting key and saves using that.
>> 6. C-x k ;
>> 7. C-c C-f ~/x.gpg RET ; open again
>> 8. make some changes
>> 9. C-x C-s ; asks for passphrase for symmetric key encryption
>
>> Behaviour in step 5 and 9 should be same. _Or_ if the file was already
>> saved encrypted with a public-key then it should use the same key again.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I was unable to reproduce the bug in Emacs 29.

> My question is - does invoking ‘M-x epa-file-select-keys’ save the
> information somewhere on the filesystem? Only after invoking this the
> behaviour got fixed.

Not that I can see...

Are you still seeing any issues in this area in recent Emacs versions?
There's been quite a few bug fixes in this area over the last year, if I
remember correctly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no